Scriptname Follower3DNPCEFF extends Follower3DNPC Conditional

EFFCore Property XFLMain Auto

Function SetFollower(ObjectReference FollowerRef)
	XFLMain.XFL_AddFollower(FollowerRef as Actor)

	; Set the internal global for 3DNPC to allow/disallow recruiting
	If XFLMain.XFL_FollowerCountEx.value < XFLMain.XFL_MaximumFollowers.value
		pPlayerFollowerCount.SetValue(0)
	Else
		pPlayerFollowerCount.SetValue(1)
	Endif
EndFunction

Function FollowerWait(ObjectReference akFollower)
	XFLMain.XFL_SetWait(akFollower as Actor)
EndFunction

Function FollowerFollow(ObjectReference akFollower)
	XFLMain.XFL_SetFollow(akFollower as Actor)
EndFunction

Function DismissFollower(ObjectReference akFollower, Int iMessage = 0, Int iSayLine = 1)
	XFLMain.XFL_RemoveFollower(akFollower as Actor, iMessage, iSayLine)

	; Set the internal global for 3DNPC to allow/disallow recruiting
	If XFLMain.XFL_FollowerCountEx.value < XFLMain.XFL_MaximumFollowers.value
		pPlayerFollowerCount.SetValue(0)
	Else
		pPlayerFollowerCount.SetValue(1)
	Endif
EndFunction